Sessions
Search sessions
GET /v1/sessions/search- Permission
read:sessions- Tokens
- API key, CLI user token, Session token
Search session history. Supply q and filter by service, handler, or source.
Query parameters
qstringrequired
scopeenum
What text a search query is matched against: the session log's record text, the session recaps (summaries), or both.
one of
recordsrecapsbothsourcearray<SessionSource>
serviceenum
Service whose mention or event started the session.
one of
slackgithublinearsentryhandlerstring
Exact saved handler id recorded when the session started.
author_idarray<integer>
Attributed GitHub user account ids.
agent_idarray<string>
Saved agent ids (ORed with author_id).
session_idsarray<string>
repoarray<string>
"owner/name" (exact) or a bare repo name; ORed.
statusarray<TurnStatus>
Current turn statuses to keep.
startstring, date-time
endstring, date-time
limitdefault
20integer{
}
1
import os
2
3
from ellipsis import Ellipsis
4
5
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
6
7
result = client.sessions.search(q="validation")
8
print(result)
1
import { Ellipsis } from '@ellipsis-dev/sdk';
2
3
const client = new Ellipsis({
4
apiKey: process.env.ELLIPSIS_API_TOKEN!,
5
});
6
7
const result = await client.sessions.search({ q: "validation" });
8
console.log(result);
1
curl "https://api.ellipsis.dev/v1/sessions/search?q=..." \
2
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"
Response
resultsarray<SessionSearchResult>required